package com.iformall.domain.po;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Table(name = "wx_card_transfer_info")
public class WxCardTransferInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    protected Long id;

    @Transient
    protected List<Long> ids;
    @Transient
    protected String sortColumns;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSortColumns() {
        return sortColumns;
    }

    public List<Long> getIds() {
        return ids;
    }

    public void setIds(List<Long> ids) {
        this.ids = ids;
    }


    //保存到转赠表中 id,coupon_order_id,tenant_id,title,amount,remain_amount,from_user,to_user,status,create_date,update_date

    @io.swagger.annotations.ApiModelProperty(value = "卡与订单关联ID", name = "couponOrderId")
    private Long couponOrderId;

    @io.swagger.annotations.ApiModelProperty(value = "租户ID", name = "tenantId")
    private String tenantId;

    @io.swagger.annotations.ApiModelProperty(value = "卡名称", name = "title")
    private String title;

    @io.swagger.annotations.ApiModelProperty(value = "面额", name = "amount")
    private Integer amount;

    @io.swagger.annotations.ApiModelProperty(value = "余额", name = "remainAmount")
    private Integer remainAmount;

    @io.swagger.annotations.ApiModelProperty(value = "转赠者", name = "fromUser")
    private Long fromUser;

    @io.swagger.annotations.ApiModelProperty(value = "领取者", name = "toUser")
    private Long toUser;

    @io.swagger.annotations.ApiModelProperty(value = "状态", name = "status")
    private Integer status;

    @io.swagger.annotations.ApiModelProperty(value = "创建时间", name = "createDate")
    private Date createDate;

    @io.swagger.annotations.ApiModelProperty(value = "创建时间", name = "updateDate")
    private Date updateDate;

    @io.swagger.annotations.ApiModelProperty(value = "过期时间", name = "expiredTime")
    private Date expiredTime;

    public Long getCouponOrderId() {
        return couponOrderId;
    }

    public void setCouponOrderId(Long couponOrderId) {
        this.couponOrderId = couponOrderId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public Integer getRemainAmount() {
        return remainAmount;
    }

    public void setRemainAmount(Integer remainAmount) {
        this.remainAmount = remainAmount;
    }

    public Long getFromUser() {
        return fromUser;
    }

    public void setFromUser(Long fromUser) {
        this.fromUser = fromUser;
    }

    public Long getToUser() {
        return toUser;
    }

    public void setToUser(Long toUser) {
        this.toUser = toUser;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getExpiredTime() {
        return expiredTime;
    }

    public void setExpiredTime(Date expiredTime) {
        this.expiredTime = expiredTime;
    }
}
